LogoopenSUSE Build Service > Projects
Sign Up | Log In

perl-Module-Build-new

The SLES11 perl core-package already contains Module::Build.
For one package in this Repository a newer version than preinstalled is required. Since I still want to use the 'official' perl RPM we do the following workaround:

- Installing the .pm files to another directory than the perl-core ones
- Dont include doc-files and /usr/bin/config_data (would conflict)

The Module sources are linked to /usr/lib/perl5/vendor_perl/5.10.0/x86_64-linux-thread-multi after installation. This directory should be the first one in perls @INC array (which means that perl should always use the modules from this RPM)

This construction works for me but can probably cause problems somewhere else.

Source Files

Filename Size Changed Actions
Module-Build-0.4210.tar.gz 301 KB about 4 years ago Download File
Module-Build-0.4216.tar.gz 298 KB over 2 years ago Download File
perl-Module-Build-new.spec 7.81 KB over 2 years ago Download File

Comments for home:snagview:perl (0)

Login required, please login or signup in order to comment